NIOBaseChannel (ActiveIO 1.0 API)
Keywords: org.activeio.net.NIOBaseChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class NIOBaseChannel

    java.lang.Object
      org.activeio.net.NIOBaseChannel

All Implemented Interfaces:
  Disposable, SocketMetadata

Direct Known Subclasses:
  NIOAsynchChannel, NIOSynchChannel

public class NIOBaseChannel
extends java.lang.Object
implements SocketMetadata, Disposable

Base class for the Asynch and Synch implementations of NIO channels.

Version:
  $Revision$

Field Summary
`protected java.net.Socket` | `socket`
`protected java.nio.channels.SocketChannel` | `socketChannel`

Constructor Summary
`protected` | `NIOBaseChannel(java.nio.channels.SocketChannel socketChannel, boolean useDirect)`

Method Summary
`protected java.nio.ByteBuffer` | `allocateBuffer()`
`void` | `dispose()` This method should not throw any exceptions.
`void` | `flush()`
`java.net.InetAddress` | `getInetAddress()`
`boolean` | `getKeepAlive()`
`java.net.InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`java.net.SocketAddress` | `getLocalSocketAddress()`
`boolean` | `getOOBInline()`
`int` | `getPort()`
`int` | `getReceiveBufferSize()`
`java.net.SocketAddress` | `getRemoteSocketAddress()`
`boolean` | `getReuseAddress()`
`int` | `getSendBufferSize()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getTcpNoDelay()`
`int` | `getTrafficClass()`
`boolean` | `isBound()`
`boolean` | `isClosed()`
`boolean` | `isConnected()`
`java.lang.Object` | `narrow(java.lang.Class target)`
`void` | `setKeepAlive(boolean on)`
`void` | `setOOBInline(boolean on)`
`void` | `setReceiveBufferSize(int size)`
`void` | `setReuseAddress(boolean on)`
`void` | `setSendBufferSize(int size)`
`void` | `setSoLinger(boolean on, int linger)`
`protected void` | `setSoTimeout(int i)`
`void` | `setTcpNoDelay(boolean on)`
`void` | `setTrafficClass(int tc)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### socketChannel

    protected final java.nio.channels.SocketChannel socketChannel

### socket

    protected final java.net.Socket socket

Constructor Detail

### NIOBaseChannel

    protected NIOBaseChannel(java.nio.channels.SocketChannel socketChannel,
                             boolean useDirect)
                      throws java.io.IOException

Method Detail

### allocateBuffer

    protected java.nio.ByteBuffer allocateBuffer()

### setSoTimeout

    protected void setSoTimeout(int i)
                         throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### narrow

    public java.lang.Object narrow(java.lang.Class target)

### toString

    public java.lang.String toString()

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

  Specified by:
    `dispose` in interface `Disposable`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `org.activeio.Channel#flush()`

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Specified by:
    `getInetAddress` in interface `SocketMetadata`

### getKeepAlive

    public boolean getKeepAlive()
                         throws java.net.SocketException

  Specified by:
    `getKeepAlive` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

  Specified by:
    `getLocalAddress` in interface `SocketMetadata`

### getLocalPort

    public int getLocalPort()

  Specified by:
    `getLocalPort` in interface `SocketMetadata`

### getLocalSocketAddress

    public java.net.SocketAddress getLocalSocketAddress()

  Specified by:
    `getLocalSocketAddress` in interface `SocketMetadata`

### getOOBInline

    public boolean getOOBInline()
                         throws java.net.SocketException

  Specified by:
    `getOOBInline` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `SocketMetadata`

### getReceiveBufferSize

    public int getReceiveBufferSize()
                             throws java.net.SocketException

  Specified by:
    `getReceiveBufferSize` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getRemoteSocketAddress

    public java.net.SocketAddress getRemoteSocketAddress()

  Specified by:
    `getRemoteSocketAddress` in interface `SocketMetadata`

### getReuseAddress

    public boolean getReuseAddress()
                            throws java.net.SocketException

  Specified by:
    `getReuseAddress` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getSendBufferSize

    public int getSendBufferSize()
                          throws java.net.SocketException

  Specified by:
    `getSendBufferSize` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getSoLinger

    public int getSoLinger()
                    throws java.net.SocketException

  Specified by:
    `getSoLinger` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.net.SocketException

  Specified by:
    `getSoTimeout` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws java.net.SocketException

  Specified by:
    `getTcpNoDelay` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### getTrafficClass

    public int getTrafficClass()
                        throws java.net.SocketException

  Specified by:
    `getTrafficClass` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### isBound

    public boolean isBound()

  Specified by:
    `isBound` in interface `SocketMetadata`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `SocketMetadata`

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `SocketMetadata`

### setKeepAlive

    public void setKeepAlive(boolean on)
                      throws java.net.SocketException

  Specified by:
    `setKeepAlive` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setOOBInline

    public void setOOBInline(boolean on)
                      throws java.net.SocketException

  Specified by:
    `setOOBInline` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)
                              throws java.net.SocketException

  Specified by:
    `setReceiveBufferSize` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setReuseAddress

    public void setReuseAddress(boolean on)
                         throws java.net.SocketException

  Specified by:
    `setReuseAddress` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setSendBufferSize

    public void setSendBufferSize(int size)
                           throws java.net.SocketException

  Specified by:
    `setSendBufferSize` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setSoLinger

    public void setSoLinger(boolean on,
                            int linger)
                     throws java.net.SocketException

  Specified by:
    `setSoLinger` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

  Specified by:
    `setTcpNoDelay` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

### setTrafficClass

    public void setTrafficClass(int tc)
                         throws java.net.SocketException

  Specified by:
    `setTrafficClass` in interface `SocketMetadata`
  Throws:
    `java.net.SocketException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.